- hosts: odroid_worker
  name: Setup k3s workers
  become: true
  gather_facts: no
  vars:
      K3S_TOKEN_HOLDER: "{{ hostvars['K3S_TOKEN_HOLDER']['token'] }}"
      # K3S_TOKEN_HOLDER: "K10e86c2dee93cc36d405fbeb34ef64e8867c097493ef2e0f2e95feb5bb30ded39b::server:5f3d5033ee0554caab810c863b0587d2"
  tasks:
    - name: Print token
      ansible.builtin.debug:
        msg: "[Master] K3S_TOKEN_HOLDER K8S token is {{ K3S_TOKEN_HOLDER }}"
    - name: Print msg
      ansible.builtin.debug:
        msg: "{{ K3S_TOKEN_HOLDER }}"
    - name: Get hostname
      ansible.builtin.command: uname -n
      register: result
      changed_when: false
    - name: Print hostname
      ansible.builtin.debug:
        msg: "{{ result.stdout }}"
    - name: Install K3S Worker
      ansible.builtin.shell: >-
        curl -sfL https://get.k3s.io
        | K3S_TOKEN={{ K3S_TOKEN_HOLDER }}
        K3S_URL="https://192.168.77.131:6443" K3S_NODE_NAME="{{ result.stdout }}" INSTALL_K3S_VERSION="v1.24.1+k3s1" sh -
      changed_when: false
